#version 330 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;

out vec3 theNormal;
out vec2 fragmentUV;
out vec3 fragmentPos;

uniform mat4 modelViewProjMat;
uniform mat4 modelMat;
uniform mat3 normalMatrix;

void main()
{
	fragmentUV = uv;
	gl_Position = modelViewProjMat * vec4(position, 1);
	theNormal = normalMatrix * normal;
	fragmentPos = (modelMat * vec4(position, 1)).xyz;
}